# This file created by conda-build 3.0.15+56.gd43c51d
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregate/openssl-feedstock/recipe, last modified Wed Sep 20 08:31:16 2017
# ------------------------------------------------

package:
    name: openssl
    version: 1.0.2l
source:
    fn: openssl-1.0.2l.tar.gz
    patches:
        - 0001-win32-Fix-yasm-compatibility.patch
    sha256: ce07195b659e75f4e1db43552860070061f156a98bb37b672b101ba6e3ddf30c
    url: http://www.openssl.org/source/openssl-1.0.2l.tar.gz
build:
    has_prefix_files:
        - bin/c_rehash
        - include/openssl/opensslconf.h
        - lib/pkgconfig/libcrypto.pc
        - lib/pkgconfig/libssl.pc
        - lib/pkgconfig/openssl.pc
    no_link: lib/libcrypto.so.1.0.0
    number: '2'
    string: hf35424c_2
requirements:
    build:
        - binutils_linux-32 2.28.1 he4fe6c7_1
        - gcc_linux-32 7.2.0 hdd79eaa_1
        - libgcc-ng 7.2.0 hcbc56d2_1
        - perl 5.26.0 hd71b9de_0
    run:
        - ca-certificates
        - libgcc-ng >=7.2.0
test:
    commands:
        - touch checksum.txt
        - openssl sha256 checksum.txt
about:
    dev_url: https://github.com/openssl/openssl
    doc_url: https://www.openssl.org/docs/man1.0.2/
    home: http://www.openssl.org/
    license: OpenSSL
    license_family: Apache
    license_file: LICENSE
    summary: OpenSSL is an open-source implementation of the SSL and TLS protocols
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - msarahan
        - ocefpaf
        - pelson
